Bug 472456 - Spurious errors logged by FailoverListener
Spurious errors logged by FailoverListener
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
medium Severity low
: 1.1
: ---
Assigned To: Alan Conway
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-20 17:29 EST by Alan Conway
Modified: 2011-08-12 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 10:37:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-11-20 17:29:52 EST
Description of problem:

Qpid clients will sporadically log messages like:

error amq.failoverc9fc1d89-6d3b-4217-801e-2961ca4b2521@guest error: Connection closed

These are spurious, they do not indicate an actual error.
Comment 1 Gordon Sim 2008-11-24 07:45:29 EST
Fixed by r720178. (Not in itself a testing priority for QE, but the error message could be seen when by running the failover example against a cluster, then killing the broker (at least one of the) clients are connected to.

Now an info level message is printed for transport failures; the application will get a TransportFailure thrown anyway and can log anything more severe if desired as a consequence.
Comment 3 David Sommerseth 2008-12-17 10:50:23 EST
Verified via code review.  The patch referred to in comment#1 is found in the source code of qpidc-0.4.725652-2.el5.src.rpm
Comment 5 errata-xmlrpc 2009-02-04 10:37:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0035.html

Note You need to log in before you can comment on or make changes to this bug.